version: '3'
services:
  nginx_load_balancer:
    image: nginx
    volumes:
      - './nginx/default.conf:/etc/nginx/nginx.conf'
    ports:
      - '8080:80'
  app1:
    image: airtel-trivia-app
    volumes:
      - type: bind
        source: .
        target: /code
    working_dir: /code
    environment:
      - APPID=1111
  app2:
    image: airtel-trivia-app
    volumes:
      - type: bind
        source: .
        target: /code
    working_dir: /code
    environment:
      - APPID=2222
  app3:
    image: airtel-trivia-app
    volumes:
      - type: bind
        source: .
        target: /code
    working_dir: /code
    environment:
      - APPID=3333
  app4:
    image: airtel-trivia-app
    volumes:
      - type: bind
        source: .
        target: /code
    working_dir: /code
    environment:
      - APPID=4444
  app5:
    image: airtel-trivia-app
    volumes:
      - type: bind
        source: .
        target: /code
    working_dir: /code
    environment:
      - APPID=5555
